Get registered devices - paginated
Get a paginated list of registered devices for a specific Non Custodial Wallet
GET
/
ncw
/
wallets
/
{walletId}
/
devices_paginated
TypeScript
const response: Promise<FireblocksResponse<EmbeddedWalletPaginatedDevicesResponse>> = fireblocks.embeddedWallets.getEmbeddedWalletDevicesPaginated(embeddedWalletsApiGetEmbeddedWalletDevicesPaginatedRequest);CompletableFuture<ApiResponse<EmbeddedWalletPaginatedDevicesResponse>> response = fireblocks.embeddedWallets().getEmbeddedWalletDevicesPaginated(walletId, sort, pageCursor, pageSize, order);response = fireblocks.embedded_wallets.get_embedded_wallet_devices_paginated(wallet_id, sort, page_cursor, page_size, order);curl --request GET \
--url https://api.fireblocks.io/v1/ncw/wallets/{walletId}/devices_paginatedconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/ncw/wallets/{walletId}/devices_paginated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"deviceId": "9ee1bff0-6dba-4f0c-9b75-03fe90e66fa3",
"enabled": true,
"physicalDeviceId": "ee1bff0-6dba-4f0c-9b75-03fe90e66fa3"
}
],
"next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}Path Parameters
Wallet Id
Query Parameters
Sort by fields
Available options:
createdAt Cursor to the next page
Amount of results to return in the next page
Required range:
x <= 400Is the order ascending or descending
Available options:
ASC, DESC Response
Successful response
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<EmbeddedWalletPaginatedDevicesResponse>> = fireblocks.embeddedWallets.getEmbeddedWalletDevicesPaginated(embeddedWalletsApiGetEmbeddedWalletDevicesPaginatedRequest);CompletableFuture<ApiResponse<EmbeddedWalletPaginatedDevicesResponse>> response = fireblocks.embeddedWallets().getEmbeddedWalletDevicesPaginated(walletId, sort, pageCursor, pageSize, order);response = fireblocks.embedded_wallets.get_embedded_wallet_devices_paginated(wallet_id, sort, page_cursor, page_size, order);